gnuradio (3.10.12.0-1build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 10:03:46 +0200

gnuradio (3.10.12.0-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2025 08:19:03 +0200

gnuradio (3.10.12.0-1build1) questing; urgency=medium

  * Rebuild against latest uhd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 20:04:49 -0400

gnuradio (3.10.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 24 Feb 2025 22:40:00 -0500

gnuradio (3.10.12.0~rc1-2) experimental; urgency=medium

  * more fixups

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 08 Feb 2025 21:42:13 -0500

gnuradio (3.10.12.0~rc1-1) experimental; urgency=medium

  * New upstream release.
    GRC-Qt fixes and parity with the Gtk version
    UHD/RFNoC updates
    CI, modtool, and other devel/infrastructure updates
  * upload to experimenal for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 24 Jan 2025 10:29:40 -0500

gnuradio (3.10.11.0-2) unstable; urgency=medium

  * pdf-documentation patch: set larger pool_size

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 16 Aug 2024 06:04:10 -0400

gnuradio (3.10.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Const (keyword) cleanup in a large number of files. QtGUI code uses const
    in many more places.
  * Runtime - Add `persistent()` function to gr paths module. This function
    returns either the value of the `XDG_CACHE_HOME` environment variable, or
    `appdata()/.local/state`.
  * GRC - Work continues on the Qt version of GRC (`gnuradio-companion --qt`).
    While the Gtk version is still the default, we're getting close to the
    point where the Qt version can be the default.
    - Generated Python code now includes a startup event (`flowgraph_started`)
    to the top level class. This was added specifically to avoid a race in the
    Variable Function Probe block, and may be useful elsewhere.
    - Struct variables have not been usable since around v3.8. Fixed!
    - Paths are now based on gr paths, where they were previous hardcoded to
      the user's home directory.
    - C++ hier block code paths fixed (so hier blocks work again).
    - Block connection line shape and width are now preferences.
  * gr-blocks - New Burst To Stream block transforms a bursty tagged stream
    into a continuous stream by inserting zeros in the output between input
    packets whenever no packets are available at the input.
  * gr-digital - FLL Band Edge power calculations fixed,
    along with thread safety issues.
  * gr-fec - Unused RS code removed - unlikely anyone will notice.
  * gr-filter- Numpy `float_` changed to `float64` for Numpy 2.0 compatibility.
  * gr-fft - Vector version of FFT `fft_v` library function (calls fftw)
    thread safety improved.
  * gr-uhd - Do not require PyQt5 for non-graphical configurations.
  * modtool - Many bug fixes and cleanups, resulting in more reliable
    operation. That sounds really good, right?
    - Remove dependency on the "click" package.
    - Appending new blocks to CMake files respects closing parens.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 24 Jul 2024 09:36:37 -0400

gnuradio (3.10.11.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * upload to experimenal for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 10 Jul 2024 21:33:30 -0400

gnuradio (3.10.10.0-1) unstable; urgency=medium

  * New upstream release.
    - Runtime
      * Modernize location of config files. XDG_CONFIG_HOME will be used if set
      (often $HOME/.config). This change attempts to be backward compatible with
      existing config file locations, but be aware that config files may show up
      in the old ($HOME/.gnuradio/) and new ($XDG_CONFIG_HOME/gnuradio)
      locations depending on GNU Radio version. Files are not automatically
      moved, since some users run multiple versions of GNU Radio.
      * Ctrlport Probe, Ctrlport Probe PSD and gr-ctrlport-monitor.
        Ctrlport Monitor blocks are still broken.
    - GRC
      * NEW Qt-based front end! Run gnuradio-companion --qt to try it
        out. This feature is still in testing, so the Gtk front end runs by
        default. In a future release, Qt will become the default, removing Gtk
        as a manditory dependency. Maintenance will focus on the Qt front end
        at that point.
      * Restore property field background colors (as a View option, off by
        default) for the Gtk front end. Background colors were previously
        replaced with textual type string.
      * The canvas can be panned using the middle mouse button
      * C++ code generation improvements related to parameters and strings
      * C++ code generation fixed for Add Const
    - gr-audio
      * Added 96 kHz and 192 kHz selections to ALSA source/sink
    - gr-blocks
      * Float To UChar block adds vector support,
        and also scale and bias params
    - gr-digital
      * Additive Scrambler adds soft symbol handling
      * Add callback to set header format in Digital Protocol Formatter
    - modtool
      * Improvements to handling of Python blocks
        (add, rm, and rename work reliably)
      * New parseable manifest format (yaml instead of md) to better
        support the OOT ecosystem
      * Manifest and examples are installed by "make install"
  * Update standards version to 4.7.0, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 22 Apr 2024 17:03:08 -0400

gnuradio (3.10.10.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 06 Apr 2024 20:12:37 -0400

gnuradio (3.10.9.2-2) unstable; urgency=medium

  * Acknowledge NMU and adopt time_t64 changes.
  * Update dependencies (Closes: #1067058)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 18 Mar 2024 07:52:26 -0400

gnuradio (3.10.9.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062476

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 19:52:04 +0000

gnuradio (3.10.9.2-1) unstable; urgency=medium

  * New upstream release
    Fix a few memory errors in various modules.
    GRC - Fix regressions in bus connections.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 17 Jan 2024 15:51:20 -0500

gnuradio (3.10.9.1-2) unstable; urgency=medium

  * remove obsolete and redundant dependency python3-sip (Closes: #1060723)
  * Update to v3.10.9.1-13-gcaab75612
    - better checks before overrunning buffer
    - better bus port handling in grc

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 15 Jan 2024 10:55:30 -0500

gnuradio (3.10.9.1-1) unstable; urgency=medium

  * New upstream release
  - Project
   - Python minimum version is now 3.7.2, vs 3.6.5, to support type hints. Even
     Python 3.7 is EOL, so this is not expected to affect people using newer
     versions of GNU Radio.
   - Add tox.ini, so that editors use the same formatting as github CI.
   - Use pointers to pass s32fc arguments to VOLK in gr-blocks, gr-digital, and
     gr-dtv to avoid undefined behavior. The fix is conditional on VOLK 3.1.0,
     which add a new supporting function.

  - Runtime
   - Disallow None for pmt_t arguments in Python.
   - Support spdlog installations with internal or external libfmt.

  - GRC
   - Use text labels to specify types for block parameters, instead of
     background colors which were difficult to read/remember.
   - Enable setting of documentation URLs, relative or absolute in yaml. This
     allows OOTs to use the documentation link in the block parameter dialog.
   - Disallow use of block ids that are Python keywords and "gnuradio".
   - Add type annotations in some places (required bump to Python 3.7.2).
   - Use C version of YAML loader (yaml.CSafeLoader) for better performance.
   - Connections may have properties for supported connection domains. This
     feature was added for RFNoC connections. Standard stream and message
     connections do not support this feature, but they may in future versions.
   - Check grc file version. The above feature required a version bump to "2".
     Where no connection properties are used, version "1" is still emitted.
     Note that previous versions of GRC do not check for file version. RFNoC
     flowgraphs with connection properties will fail to load in previous
     versions as a result.
   - Fix bug where an impressive number of backslashes were added
     to some filenames.

  - gr-dtv
   - Read expected data as little-endian

  - gr-fec
   - Add FEC_API to CCSDS Reed-Solomon functions so they can be used by OOTs.

  - gr-qtgui
   - QT GUI Msg Push Button: add a callback for Message Value to allow it to
    change at runtime.

  - gr-uhd
   - RFNoC Rx-Streamer: Add start stream options
   - Add back-edge property to RFNoC connections

  - Build system and packaging
   - Update conda build. Re-rendered with conda-build 3.27.0,
     conda-smithy 3.28.0, and conda-forge-pinning 2023.11.07.18.09.01.
   - Use utf-8 encoding when writing files in gr_python_install.

  - Testing
    There has been a great effort to identify why tests fail intermittently,
    or only on certain platforms. This has lead to a number of improved tests,
    and identification of a number of real bugs.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 01 Jan 2024 10:21:00 -0500

gnuradio (3.10.9.0-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 31 Dec 2023 23:11:50 -0500

gnuradio (3.10.9.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 24 Dec 2023 12:09:35 -0500

gnuradio (3.10.9.0~rc1-3) experimental; urgency=medium

  * time limit test
  * use QT_QPA_PLATFORM=offscreen rather than xvfb-run

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Dec 2023 20:06:11 -0500

gnuradio (3.10.9.0~rc1-2) experimental; urgency=medium

  * always enable tests
  * Revert F15 (Fosphor) Sink

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Dec 2023 07:32:53 -0500

gnuradio (3.10.9.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Upload to erperimental for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Dec 2023 12:20:25 -0500

gnuradio (3.10.8.0-2) unstable; urgency=medium

  * fix typo in gnuradio-doc html url (Closes: #1054347)
  * remove __pycache__ files in clean target (Closes: #1044439)
  * use loong64 arch for thrift dependencies (Closes: #1057458)
  * improve builds without thrift (Closes: #1054331)
  * Use pointers to pass s32fc arguments to VOLK 3.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Dec 2023 11:35:42 -0500

gnuradio (3.10.8.0-1) unstable; urgency=medium

  * New upstream release
  * improved gnuradio-doc

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 20 Oct 2023 19:16:37 -0400

gnuradio (3.10.8.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 13 Oct 2023 14:48:16 -0400

gnuradio (3.10.8.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * upload to experimental for ABI bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 07 Oct 2023 17:18:41 -0400

gnuradio (3.10.7.0-3) unstable; urgency=medium

  * depend upon libsdl1.2-dev (Closes: #1041618)
    (pending port to SDL 2.)
  * merge in janitor fixes for copyright file format,
    upstream metadata

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 21 Jul 2023 13:18:38 -0400

gnuradio (3.10.7.0-2) unstable; urgency=medium

  * remove old volk dependencies (Closes: #1041456)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 19 Jul 2023 06:19:08 -0400

gnuradio (3.10.7.0-1) unstable; urgency=medium

  * New upstream release
  Runtime
  - Setting the minimum buffer size should have the desired effect now,
    and not be overwritten. NOTE: the value returned by min_buffer_size()
    is not intended to indicate the actual buffer size. Header Payload
    Demod was the only block attempting to use this value, and was
    corrected.
  - Use a set to store thread group (more efficient)
  - Message Debug can now output via the logging system
  - The field prefs.singleton is no longer externally exposed
    (was unintentional)
  - PMT dict can be generated more easily using
    pmt::dict_from_mapping()
  GRC
  - Save changes under all exit conditions (a couple were previously missed)
  - Prevent silent Generate/Run failures for unsaved flowgraphs
  Testing
  - Add Fedora 38, using the clang compiler
  - Remove EOL Fedora 36
  gr-analog
  - C++ code generation for Quadrature Demod
  - Add max_gain parameter for AGC
  gr-blocks
  - Probe Rate adds a name parameter, for clearer logging
  - Selector has a new "sync" more that consumes the same number of items
    from all inputs. Default is now to consume as many items as possible
    from the active input, and no more than that many items from other
    inputs. The previous behavior was, well, broken.
  - Throttle reset item count on restart, to avoid long delays
  gr-digital
  - Constellation Encoder and Decoder: constellation can be changed at runtime
  gr-filter
  - Filter design tool: multiple improvements in bounds checking
    and exception handling
  - Filter design tool: update QMessageBox to work in Qt5
  gr-network
  - Multiple memory management errors fixed in UDP Source/Sink and TCP Sink
  gr-soapy
  - Better AGC and gain behavior in RTL, AirspyHF and SDRPlay blocks
  - Support bias controls in RTL and SDRPlay blocks
  gr-uhd
  - Remove possibility of infinite recursion for network overruns
  - Support fmtlib v10
  - RFNoC: bindings and block yml for Vector IIR, Replay and Log Power blocks
  - RFNoC: add S16 format to RX Streamer
  gr-vocoder
  - Support additional codec2 modes
  Modtool
  - Don't override user-defined CMAKE_INSTALL_PREFIX
  * start gr-video-sdl2 patch to port to SDL 2,
    depend upon libsdl1.2-compat-dev for now.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Jul 2023 21:46:56 -0400

gnuradio (3.10.7.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    upload to experimental for soversion change

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 11 Jul 2023 18:56:32 -0400

gnuradio (3.10.6.0-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 07 May 2023 00:13:27 -0400

gnuradio (3.10.5.1-2) unstable; urgency=medium

  * update FreeDV blocks to provide 700E mode support

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 04 Feb 2023 14:23:16 -0500

gnuradio (3.10.5.1-1) unstable; urgency=medium

  * New upstream bugfix release

    Runtime
  - Restore the ability to set a default block buffer size using the
    `buffer_size` parameter in the config file. This was lost during
    refactoring in v3.9.

    GRC
  - Add Python snipped hook point at "init before blocks", right before
    blocks are instantiated.

    gr-digital
  - Make tags visible to subclasses of OFDM Frame Equalizer.

    gr-dtv
  - Correct constant in DVBS2 Modulator.

    gr-fec
  - Fix errors in Channel Construction AWGN

    gr-iio
  - Fix IIO blocks, which were broken due to a build-time dependency problem.

    gr-network
  - Fix crash in UDP Source when buffer overruns.

    gr-uhd
  - Add async message port to USRP Source and publish overflow notifications.
  - Add bindings and example for RFNoC AddSub block.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 25 Jan 2023 07:36:04 -0500

gnuradio (3.10.5.0-2) unstable; urgency=medium

  * update to v3.10.5.0-11-gcfa0d519b for bugfixes
  * Fix bug using Pluto sources and sinks

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 22 Jan 2023 19:31:41 -0500

gnuradio (3.10.5.0-1) unstable; urgency=medium

  * update watch file
  * New upstream release
  * Runtime
    Python block have access to the block logger, as in C++
    Default log level changed to INFO (from OFF)
    Memory-based logger gr.dictionary_logger_backend() added for log debugging
    API Note: The Python block gateway is now completely implemented in the PyBind11 wrapper
     in order to clean up Python dependencies.
     This is technically an API change, but should not have any external effect.
    PMT serialization of Complex32 vectors is now REAL | IMAG on all platforms
    Python IO signature replication (multiple ports specified by one signature) fixed

  * GRC
    Continue processing block connections after a connection error occurs
    Drawing/scaling fixes that improve user experience on HiDPI and Windows machines

  * gr-analog
    AGC3 performance and bug fixes
    Python has access to control_loop parent class in PLL blocks
    CTCSS detection of standard tones improved by fixing floating point comparison

  * gr-blocks
    Probe Signal cross platform reliability improved by better thread synchronization

  * gr-digital
    CRC32 and CRC16 blocks use little-endian order regardless of host order. This is a wire format change.
    The options were to have different endian machines unable to communicate, or older and newer versions
     unable to communicate. Note that there is a more general set of blocks (CRC Append and CRC Check)
     that are recommended for use wherever possible.
    Packet headers use consistent bit order across machines
    Floating point/rounding fix in constellation lookup table

  * gr-fec
    LDPC G matrix n and k can be access from Python
    LDPC matrix output size calculation corrected
    CCSDS/Viterbi path metrics overflow fix

  * gr-network
    Improve UDP Source/Sink efficiency by removing a layer of buffering and using the GR
    circular buffer instead of the Boost equivalent

  * gr-qtgui
    Fixed Python code generation for Msg CheckBox, Digital Number Control, Toggle Button, Toggle Switch

  * gr-soapy
    Sources will generate rx_time, rx_freq and rx_rate tags, as in UHD sources,
    where supported by the underlying Soapy driver

  * gr-uhd
    Re-enable uhd.find_devices(), in addition to uhd.find()
    RFNoC: generate correct Python code when using clock/time source
    RFNoC: allow specification of adapter IDs for streamers
    RFNoC: enable setting of vlen and types for streamers
    RFNoC: streamers pay attention to stream args
    RFNoC: sync block controller with gr-ettus OOT
    RFNoC:set_property() and get_property() added to the C++ and Python APIs
    RFNoC: Python binds added for rfnoc_block_generic

  * gr-zeromq
    Sinks will optionally block on full queue, providing backpressure. Previously, overflow data was dropped.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 20 Dec 2022 00:58:39 -0500

gnuradio (3.10.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    upload to experimental for new library version packages

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 13 Dec 2022 22:05:25 -0500

gnuradio (3.10.4.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused B-D: python3-sphinx. (Closes: #1023234)

  [ A. Maitland Bottoms ]
  * update to v3.10.4.0-87-g4c9e53e27
    more fixes for more passing tests on other than amd64

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 19 Nov 2022 10:42:12 -0500

gnuradio (3.10.4.0-3) unstable; urgency=medium

  * update to v3.10.4.0-17-gcfcd070f9
  * enable all tests again
  * re-enable building with thrift

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 25 Oct 2022 20:03:42 -0400

gnuradio (3.10.4.0-2) unstable; urgency=medium

  * remove -DENABLE_CTRLPORT_THRIFT=ON, since it is not available on all
    architectures. Bopefully fix FTBFS on mips*, ppc64el, s390x

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 17 Sep 2022 22:55:27 -0400

gnuradio (3.10.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Replace `get_initial_sptr()` calls with `make_block_sptr()`
    calls. There were a number of places the incorrect function was being
    used.
  * Runtime
  - Use correctly typed arguments to log messages to prevent build errors.
  * GRC
  - Add xfce4-terminal and urxvt to the list of terminal emulators
    discovered during the build process.
  - Suppress GUI hint errors that were being shown in the terminal window.
  - Use integers for screenshot size (floats were causing Cairo errors).
  * Build system and packaging
  - Reformat cmake files and make cmake formatting part of the workflow.
  - Allow GNU Radio to be a part of other cmake-based projects.
  * gr-blocks
  - New Block Interleaver/Deinterleaver interleaves blocks of symbols
  - Correct calculation of `items_remaining` in File Source, which allows
    `seek()` to work correctly.
  - Add an example for Wavefile Sink
  * gr-digital
  - Deprecate the CRC32 and CRC16 blocks, which will be removed in the
    future. There are more general CRC blocks which do the same thing (and
    more).
  * gr-filter
  - Fix demo for PFB channelizer
  * gr-iio
  - FMCOMMS2 Sink assumes CS16 data is scaled to 32768, rather than 2048.
  - FMCOMMS2 returns the correct samples for the second channel in
    2-channel mode.
  * gr-trellis
  - Correct Python bindings for `trellis::metrics`.
  * gr-qtgui
  - Range widget can now output messages when value changes.
  - Add C++ code generation for Time Sink
  - Regenerate Python bindings for some blocks when necessary.
  - Waterfall Sink correctly uses half spectrum for float input.
  * gr-uhd
  - Add Python bindings for the UHD `find()` functino.
  * gr-zeromq
  - Support newer `get()` and older/deprecated `getsockopt()` functions in
    cppzmq depending on availability.
  * Modtool
  - Parse IO signatures with or without `gr::` prefix.
  * Documentation
  - Update certain file lists to keep build paths out of documentation.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 16 Sep 2022 18:51:58 -0400

gnuradio (3.10.4.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Upload to emaperimental for ABI bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 13 Sep 2022 22:32:21 -0400

gnuradio (3.10.3.0-5) unstable; urgency=medium

  * include vowstar Fix build failures with libfmt-9.0.0

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Aug 2022 08:30:03 -0400

gnuradio (3.10.3.0-4) unstable; urgency=medium

  [ Stephan Lachnit ]
  * zmq.hpp now in cppzmq-dev (Closes: #1017732)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 20 Aug 2022 10:04:36 -0400

gnuradio (3.10.3.0-3) unstable; urgency=medium

  * update to v3.10.3.0-12-gf28df09b1
  * [Shengjing Zhu] Add workaround for fmtlib 9 (Closes: #1014687)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 10 Aug 2022 23:29:54 -0400

gnuradio (3.10.3.0-2) unstable; urgency=medium

  * [Adrian Bunk] Link with -latomic on architectures that might need it
    (Closes: #1014768)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Jul 2022 21:15:38 -0400

gnuradio (3.10.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Jul 2022 13:29:00 -0400

gnuradio (3.10.3.0~rc1-1) experimental; urgency=medium

  * v3.10.3.0-rc1 to experimental for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 20 Jun 2022 20:01:43 -0400

gnuradio (3.10.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Apr 2022 07:17:57 -0400

gnuradio (3.10.2.0~rc1-2) unstable; urgency=medium

  * upload to unstable
  * explicitly uses 'posix_prefix' with sysconfig in GrPython.cmake

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 02 Apr 2022 17:41:57 -0400

gnuradio (3.10.2.0~rc1-1) experimental; urgency=medium

  * v3.10.2.0-rc1 to experimental for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 31 Mar 2022 22:52:06 -0400

gnuradio (3.10.1.1-2) unstable; urgency=medium

  * install usr/local python path (Closes: #1008794)
  * Have gnuradio-companion launch x-terminal-emulator by default

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 01 Apr 2022 18:57:34 -0400

gnuradio (3.10.1.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 Feb 2022 00:53:21 -0500

gnuradio (3.10.1.0-2) unstable; urgency=medium

  * One statement fix: runtime downstream buffer size calculation

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 01 Feb 2022 18:06:18 -0500

gnuradio (3.10.1.0-1) unstable; urgency=medium

  * New upstream release.
    Bugfixes in gr-iio, gr-uhd
    Minimal implementation of a SigMF Sink in gr-blocks

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 29 Jan 2022 10:13:12 -0500

gnuradio (3.10.1.0~rc1-1) experimental; urgency=medium

  * New upstream bug-fixing pre-release
    To unstable for C++ ABI bump, new soversion library names

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 25 Jan 2022 18:08:56 -0500

gnuradio (3.10.0.0-4) unstable; urgency=medium

  * gnuradio-dev: Add dependency on libspdlog-dev
    (instead of old liblog4cpp5-dev)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 18 Jan 2022 16:49:09 -0500

gnuradio (3.10.0.0-3) unstable; urgency=medium

  * add gnuradio{,-dev}: Breaks+Replaces: gr-iio (Closes: #1001597)
  * use available libunwind-dev build-depends architectures (Closes: #1000792)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jan 2022 20:12:51 -0500

gnuradio (3.10.0.0-2) unstable; urgency=medium

  * Handle optional thrift.conf.example in debian/rules

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jan 2022 18:40:10 -0500

gnuradio (3.10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Jan 2022 10:48:06 -0500

gnuradio (3.10.0.0~rc2-2) experimental; urgency=medium

  * use realistic build-depends architectures with libunwind-dev

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 11 Dec 2021 13:50:49 -0500

gnuradio (3.10.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 11 Dec 2021 10:46:04 -0500

gnuradio (3.10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Upload to experimental for new soversion library names

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 27 Nov 2021 21:27:03 -0500

gnuradio (3.9.4.0-2) unstable; urgency=medium

  * update to v3.9.4.0-17-g981d5834a

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 27 Nov 2021 12:02:04 -0500

gnuradio (3.9.4.0-1) experimental; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 31 Oct 2021 12:20:07 -0400

gnuradio (3.9.2.0-2) experimental; urgency=medium

  * Add Breaks+Replaces for gr-soapy (Closes: #989888)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 19 Jun 2021 10:05:57 -0400

gnuradio (3.9.2.0-1) experimental; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 10 Jun 2021 19:51:53 -0400

gnuradio (3.9.0.0-2) experimental; urgency=medium

  * bump CMAKE_CXX_STANDARD 17

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 18 Jan 2021 10:48:04 -0500

gnuradio (3.9.0.0-1) experimental; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Jan 2021 19:30:58 -0500

gnuradio (3.9.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 07 Jan 2021 16:22:20 -0500

gnuradio (3.9~rc0-1) experimental; urgency=medium

  * v3.8.0.0-845-g592dfc78a aka 3.9.0.RC0 from new maint-3.9 branch
    pybind11 branch merged onto master
    Headed toward a 3.9 release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 23 Dec 2020 12:40:17 -0500

gnuradio (3.8.1.0~pybind-1) unstable; urgency=medium

  * New upstream branch

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 May 2020 19:46:02 -0400

gnuradio (3.8.1.0-1) unstable; urgency=medium

  * Release 3.8.1.0

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 09 Apr 2020 17:30:29 -0400

gnuradio (3.8.1.0~rc1-2) unstable; urgency=medium

  * Upload to unstable
  * build with volk 2.2.0

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 18 Feb 2020 21:53:02 -0500

gnuradio (3.8.1.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Feb 2020 16:33:39 -0500

gnuradio (3.8.0.0-8) unstable; urgency=medium

  * update to v3.8.0.0-96-g510da612e8
    but without volk 2.0 work-around since Debiuan has a fixed volk 2.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 13 Feb 2020 20:46:03 -0500

gnuradio (3.8.0.0-7) unstable; urgency=medium

  * update to v3.8.0.0-79-gf87f2dbab
  * build with volk 2.1 and uhd 3.15.0.0

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 06 Jan 2020 19:19:37 -0500

gnuradio (3.8.0.0-6) unstable; urgency=medium

  * update to v3.8.0.0-41-g2f5c81d555
  * gnuradio-dev depends upon libgmp-dev, thanks vorlon! (Closes: #943965)
  * gnuradio depends upon gir1.2-gtk-3.0, thanks kc0bfv!
    (Closes: #943778, #943864)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Nov 2019 00:05:28 -0500

gnuradio (3.8.0.0-5) unstable; urgency=medium

  * grcc from gnuradio 3.8 no longer adds timestamps (Closes: #914252)
  * depend upon python3-pyqtgraph for gr_filter_design (Closes: #926790)
  * add depends for canberra modules (Closes: #921377)
  * Use .bcep file to keep gr_modtool template un-bytecompiled.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 30 Aug 2019 20:21:31 -0400

gnuradio (3.8.0.0-4) unstable; urgency=medium

  * limit architectures for thrift availability

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Aug 2019 12:25:47 -0400

gnuradio (3.8.0.0-3) unstable; urgency=medium

  * update to v3.8.0.0-14-gcfefe6e0ba
  * update package references: libvolk1-bin => libvolk2-bin (Closes: #935417)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 22 Aug 2019 20:28:52 -0400

gnuradio (3.8.0.0-2) unstable; urgency=medium

  * update dependencies
  * build for Python3 (Closes: #912960, #885294)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 12 Aug 2019 22:30:03 -0400

gnuradio (3.8.0.0-1) experimental; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 09 Aug 2019 19:18:15 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgnuradio-analog3.10.12`.
